%define name zvbi
%define version 0.2.35
%define libname %mklibname %name 0
%define develname %mklibname %name -d

Name: %{name}
Version: %{version}
Release: %mkrel 3
Summary: Raw VBI, Teletext and Closed Caption decoding library
License: GPL
Group: System/Libraries
Url: http://zapping.sourceforge.net/
Source0:    http://prdownloads.sourceforge.net/zapping/%name-%version.tar.xz
Patch0: zvbi-0.2.31-linkage_fix.diff
Patch2: zvbi-0.2.7-fix-build.patch
Patch4: zvbi-0.2.33-automake-1.13.patch
BuildRoot: %_tmppath/%name-root
Requires(Pre): info-install
Requires(Post): info-install
BuildRequires:	doxygen
BuildRequires: gettext-devel
BuildRequires: gtk-doc
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: zlib1-devel
Requires: gettext

%description
Non versionated files of zvbi, mainly libzvbi0 translations

%package -n %{libname}
Summary: Raw VBI, Teletext and Closed Caption decoding library
Group: Video
Requires: %{name}

%description -n %{libname}
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.


%package -n %{develname}
Summary: Header files for developing apps which will use libzvbi
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel
Obsoletes: %{name}-devel
Obsoletes: %{mklibname zvbi 0 -d}

%description -n %{develname}
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)

%prep
%setup -q
%patch0 -p1 -b .linkage_fix
%patch2 -p0 -b .build
%patch4 -p1 -b .automake-1_13

%build
autoreconf -fi

%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

rm -f %buildroot/%_libdir/lib*.la

%find_lang %name
             
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(644,root,root,755)
%attr(755,root,root) %_bindir/*
%attr(755,root,root) %_sbindir/*
%_mandir/man1/*


%files -n %libname
%defattr (-, root, root)
%_libdir/libzvbi*.so.*

%files -n %{develname}
%defattr(644,root,root,755)
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_includedir/libzvbi.h


%changelog
* Wed Sep 09 2020 tex - 0.2.35-3pclos2020
- rebuild for 2020

* Mon Mar 04 2019 tex - 0.2.35-2pclos2019
- rebuild against updates

* Sun Jan 04 2015 bb <bb> 0.2.35-1pclos2015
- update

* Thu Aug 04 2011 Texstar <texstar at gmail.com> 0.2.33-1pclos2011
- rebuild 64 bit
